*****************************************

                *merging.do*
				
*****************************************

/*       
This is a Stata do-file that merges and appends all the raw NAHNES datasets
collected using compiled.do. We merge them for each year and then we append the yearly files. 
The final raw dataset is named rawdata_2007_2016.dta
*/

clear all
capture log close
cd "FILEPATH_RAWDATA" // change folder location where you saved the raw datafiles
global folder nhanes_data "FILEPATH_RAWDATA"
**********************************************************************
**# MERGING DATA FROM NHANES 2007-2008*
**********************************************************************

clear all 
// 1
use "$nhanes_data\demographics_20072008.dta", clear
// 2
merge 1:1 seqn using "$nhanes_data\dietaryday1_20072008.dta"
drop _merge
// 3 
merge 1:1 seqn using "$nhanes_data\dietaryday2_20072008.dta"
drop _merge
// 4
merge 1:1 seqn using "$nhanes_data\bpcholestrol_20072008.dta"
drop _merge
// 5 
merge 1:1 seqn using "$nhanes_data\diabetes_20072008.dta"
drop _merge
// 6 
merge 1:1 seqn using "$nhanes_data\healthinsurance_20072008.dta"
drop _merge
// 7 
merge 1:1 seqn using "$nhanes_data\accesstocare_20072008.dta"
drop _merge
// 8 
merge 1:1 seqn using "$nhanes_data\medicalcondition_20072008.dta"
drop _merge
// 9
merge 1:1 seqn using "$nhanes_data\income_20072008.dta"
drop _merge
// 10
merge 1:1 seqn using "$nhanes_data\employment_20072008.dta"
drop _merge
// 11
merge 1:1 seqn using "$nhanes_data\bmi_20072008.dta"

save "$nhanes_data\compileddata_20072008.dta", replace
**********************************************************************
**# MERGING DATA FROM NHANES 2009-2010*
**********************************************************************

clear all 
// 1
use "$nhanes_data\demographics_20092010.dta", clear
// 2
merge 1:1 seqn using "$nhanes_data\dietaryday1_20092010.dta"
drop _merge
// 3 
merge 1:1 seqn using "$nhanes_data\dietaryday2_20092010.dta"
drop _merge
// 4
merge 1:1 seqn using "$nhanes_data\bpcholestrol_20092010.dta"
drop _merge
// 5 
merge 1:1 seqn using "$nhanes_data\diabetes_20092010.dta"
drop _merge
// 6 
merge 1:1 seqn using "$nhanes_data\healthinsurance_20092010.dta"
drop _merge
// 7 
merge 1:1 seqn using "$nhanes_data\accesstocare_20092010.dta"
drop _merge
// 8 
merge 1:1 seqn using "$nhanes_data\medicalcondition_20092010.dta"
drop _merge
// 9
merge 1:1 seqn using "$nhanes_data\income_20092010.dta"
drop _merge
// 10
merge 1:1 seqn using "$nhanes_data\employment_20092010.dta"
drop _merge
// 11
merge 1:1 seqn using "$nhanes_data\bmi_20092010.dta"

save "$nhanes_data\compileddata_20092010.dta", replace
**********************************************************************
**# MERGING DATA FROM NHANES 2011-2012*
**********************************************************************

clear all 
// 1
use "$nhanes_data\demographics_20112012.dta", clear
// 2
merge 1:1 seqn using "$nhanes_data\dietaryday1_20112012.dta"
drop _merge
// 3 
merge 1:1 seqn using "$nhanes_data\dietaryday2_20112012.dta"
drop _merge
// 4
merge 1:1 seqn using "$nhanes_data\bpcholestrol_20112012.dta"
drop _merge
// 5 
merge 1:1 seqn using "$nhanes_data\diabetes_20112012.dta"
drop _merge
// 6 
merge 1:1 seqn using "$nhanes_data\healthinsurance_20112012.dta"
drop _merge
// 7 
merge 1:1 seqn using "$nhanes_data\accesstocare_20112012.dta"
drop _merge
// 8 
merge 1:1 seqn using "$nhanes_data\medicalcondition_20112012.dta"
drop _merge
// 9
merge 1:1 seqn using "$nhanes_data\income_20112012.dta"
drop _merge
// 10
merge 1:1 seqn using "$nhanes_data\employment_20112012.dta"
drop _merge
// 11
merge 1:1 seqn using "$nhanes_data\bmi_20112012.dta"

save "$nhanes_data\compileddata_20112012.dta", replace
**********************************************************************
**# MERGING DATA FROM NHANES 2013-2014*
**********************************************************************

clear all 
// 1
use "$nhanes_data\demographics_20132014.dta", clear
// 2
merge 1:1 seqn using "$nhanes_data\dietaryday1_20132014.dta"
drop _merge
// 3 
merge 1:1 seqn using "$nhanes_data\dietaryday2_20132014.dta"
drop _merge
// 4
merge 1:1 seqn using "$nhanes_data\bpcholestrol_20132014.dta"
drop _merge
// 5 
merge 1:1 seqn using "$nhanes_data\diabetes_20132014.dta"
drop _merge
// 6 
merge 1:1 seqn using "$nhanes_data\healthinsurance_20132014.dta"
drop _merge
// 7 
merge 1:1 seqn using "$nhanes_data\accesstocare_20132014.dta"
drop _merge
// 8 
merge 1:1 seqn using "$nhanes_data\medicalcondition_20132014.dta"
drop _merge
// 9
merge 1:1 seqn using "$nhanes_data\income_20132014.dta"
drop _merge
// 10
merge 1:1 seqn using "$nhanes_data\employment_20132014.dta"
drop _merge
// 11
merge 1:1 seqn using "$nhanes_data\bmi_20132014.dta"

save "$nhanes_data\compileddata_20132014.dta", replace
**********************************************************************
**# MERGING DATA FROM NHANES 2015-2016*
**********************************************************************

clear all 
// 1
use "$nhanes_data\demographics_20152016.dta", clear
// 2
merge 1:1 seqn using "$nhanes_data\dietaryday1_20152016.dta"
drop _merge
// 3 
merge 1:1 seqn using "$nhanes_data\dietaryday2_20152016.dta"
drop _merge
// 4
merge 1:1 seqn using "$nhanes_data\bpcholestrol_20152016.dta"
drop _merge
// 5 
merge 1:1 seqn using "$nhanes_data\diabetes_20152016.dta"
drop _merge
// 6 
merge 1:1 seqn using "$nhanes_data\healthinsurance_20152016.dta"
drop _merge
// 7 
merge 1:1 seqn using "$nhanes_data\accesstocare_20152016.dta"
drop _merge
// 8 
merge 1:1 seqn using "$nhanes_data\medicalcondition_20152016.dta"
drop _merge
// 9
merge 1:1 seqn using "$nhanes_data\income_20152016.dta"
drop _merge
// 10
merge 1:1 seqn using "$nhanes_data\employment_20152016.dta"
drop _merge
// 11
merge 1:1 seqn using "$nhanes_data\bmi_20152016.dta"

save "$nhanes_data\compileddata_20152016.dta", replace

**********************************************************************
**# APPENDING 2007-2008 + 2009-2010 + 2011-2012 + 2013-2014 + 2015-2016 
**********************************************************************

use "$nhanes_data\compileddata_20072008.dta", clear
append using "$nhanes_data\compileddata_20092010.dta"
append using "$nhanes_data\compileddata_20112012.dta"
append using "$nhanes_data\compileddata_20132014.dta"
append using "$nhanes_data\compileddata_20152016.dta"

* change date accordingly
save "$nhanes_data\rawdata_2007_2016", replace



********************************************************************************
done!
********************************************************************************


